# Wikitude SDK iOS Native API Release Notes

## Wikitude SDK Native API 2.0.1
Release Date: 15.02.2017

#### Fixed
- Fixed a memory issue when instant tracking is used in combination with HD frame rendering (not recommended)


## Wikitude SDK Native API 2.0.0
Release Date: 25.01.2017

#### New
- The new instant tracking feature allows users to place augmentations without any markers in any surrounding. Instant tracking uses Wikitudes own SLAM-based 3D engine.
- Added advanced camera settings like HD and 60 fps camera rendering and a manual focus control
- Unified computer vision related class names

#### Improved
- Updated target collection format (.wtc) which improves the robustness and performance of 2D image recognition.
- Extended tracking improved significant using the new SLAM technology 
- Behaviour of removing plugins at runtime - lifecycle callbacks are now called properly
- Plugins now receive a call to `surfaceChanged` in case the device was rotated while the application was not active. 


## Wikitude SDK Native API 1.4.1
Release Date: 24.11.2016

#### Fixed
- Fixes an issue where cloud recognition did not work when using input plugins
- Fixes a rare crash in the iOS Native SDK when 3D tracking is used
- Fixes an issue where the Wikitude SDK camera stopped rendering in case an external AVCaptureSession instance was stopped


## Wikitude SDK Native API 1.4.0
Release Date: 13.09.2016

#### New
- Support for iOS 10
- New InputFrameRenderSettings options for Plugins API

#### Fixed
###### SDK
- Fixes issues with NAT64 networks 
- Fixes a rare crash in the 3D Tracking engine

#### Improved
- Improved and aligned behaviour of cache handling
- Improved and aligned behaviour of network handling for cloud recognition


## Wikitude SDK Native API 1.3.0
Release Date: 08.07.2016

#### New
- InputPlugins allow developer to use the Wikitude SDK with an external camera feed

#### Fixed
- Fixes an issue where destroying the SDK while a large .wtc file is loading, crashed the SDK
- Fixes several issues that might lead to a crash if the SDK is paused/resumed
- Fixes several issues that might lead to a crash if the SDK is destroyed and immediately afterwards created again
- Fixes an issue where green camera frames could be rendered under certain circumstances
- Fixes several issues where destroying the SDK might not release all of its allocated memory

## Wikitude SDK Native API 1.2.1
Release Date: 22.03.2016 (internal release only)

#### Fixed
- Unifies camera related API between Android and iOS

## Wikitude SDK Native API 1.2.0
Release Date: 01.12.2015

#### New
 - Support multiple regional co-located cloud recognition services
 - Improvements in visualization of 3D Tracking Beta  

## Wikitude SDK Native API 1.1.0
Release Date: 15.10.2015

#### New
 - 3D Tracking Beta for small-sized objects
 - Map recorder in sample App
 - Updated Client Tracking sample with new 3D Tracking sample

## Wikitude SDK Native API 1.0.0
Release Date: 28.08.2015

## Wikitude SDK Native API 1.0.0 beta
Release Date: 30.07.2015

#### New
- Initial Public Release of iOS Native API
